Author Topic: Will MariaDB 10.3.10 help etano  (Read 118 times)

onlineservices

  • Veteran Member
  • *****
  • Posts: 254
  • Karma: +0/-0
Will MariaDB 10.3.10 help etano
« on: October 14, 2018, 11:14:23 PM »
Now the Mysql version 5.1 is out dated. Due to this reason majority of Etano scripts are making errors. I am planing to migrate to new host - The availability of Mysql db is only MariaDB. 

The market available Php Version is 7.1  - But the Php Version can be switched to 5.4 and can be managed.(only in some hosting concerns or with own cpanel or webpanel installation in AWS or GCC)

The question in my mind is Will etano run smooth with MariaDB as i am running site in MYSQL. If so Mariadb 10.1 can be used or not

If it is suitable, while importing the sql from Mysql to Mariadb shows serveral errors.

How to solve this Version issues. Help appreciated.

Thank You

maverick

  • Administrator
  • Veteran Member
  • *****
  • Posts: 3120
  • Karma: +210/-7
    • Maverick Webworks
Re: Will MariaDB 10.3.10 help etano
« Reply #1 on: October 15, 2018, 12:37:55 AM »
You don't have to use MySQL version 5.1, you can use a higher version of MySQL. In my development server I use MySQL version 5.6 with a variety of different scripts and it works fine with all versions of PHP from 5.3 to 7.1

There's been rumors going around for quite some time that MySQL is dated and no longer being used or supported, however this just isn't true, it's still being developed by the Oracle Corporation and is still one the most popular databases being used today.

MariaDB was developed by one of the original developers of MySQL and MariaDB is actually a fork of MySQL. MariaDB is supposedly designed to be a binary drop-in replacement for MySQL where you should be able to uninstall MySQL and then install and use MariaDB, assuming you're using a version that's compatible with the same MySQL versions.

I've never actually used MariaDB as I've never came across a need or benefit in switching, so I don't know exactly how compatible it actually would be or what's involved in making the transition or what issues may occur.

For now I'd recommend just sticking with MySQL and use a version of 5.6 or less. If your host doesn't offer MySQL 5.6 or less then you need to look for a better host as MySQL is still relevant and a very popular database.

Fusion Responsive Template & Free Mods
http://www.maverickwebworks.com
DO NOT PM me asking for personal help. Post your problem or request in the forums so the entire community can contribute and benefit.

onlineservices

  • Veteran Member
  • *****
  • Posts: 254
  • Karma: +0/-0
Re: Will MariaDB 10.3.10 help etano
« Reply #2 on: October 15, 2018, 02:21:56 AM »
Code: [Select]
You don't have to use MySQL version 5.1, you can use a higher version of MySQL. I dont feel this is correct, because nearly 25 times i made installations in 3 different hosts within 48 hours. if this is right then https://www.247-host.com should be a successful host for etano.

I am using https://www.247-host.com where there was php version switching. From last March they dropped Php version switiching and also updated their mysql to Mariadb 10 and more.

Though Softaculous Apps installer has Etano - When we try to install etano as fresh through it, the results in PHP INFO error -  Unable to do anything.

So when we contacted hosting, they said - its not compatible with our hosting .

So searching for best host which operates only with PHP 5.3 or 5.4 and MySQL 5.1x. But as of now all the hosting concerns Cpanel has upgraded their Mysql and Mariamdb to higher levels and VPS plays major roles.

Only the CENTOS 6 AND 7 Webpanel has the ability to switch PHP Versions.   

So planning to create own server with Centos 7 without Mariamdb and only with MySQL

The Major complication i found between Mysql and Mariamdb is, you cannot transport SQL file of Mysqldb into Mariamdb, Though the import process go smooth finally it result with Errors - Specifically Document Type Errors. The UTF8 Character encoding of Mysql and MariaDb differs from host to host.

In addition to that, the PHP MAILER and CRONS wont work as required when we go through Higherversions of Mysql or the minimum version of Mariamdb

So preparing own server with Mysql is the only way to run Etano

If i got success i will update it here.  Thanks for your response.

maverick

  • Administrator
  • Veteran Member
  • *****
  • Posts: 3120
  • Karma: +210/-7
    • Maverick Webworks
Re: Will MariaDB 10.3.10 help etano
« Reply #3 on: October 15, 2018, 02:59:03 AM »
I've been with 247-host for a number of years and I'm hosting and running Etano, as well as other scripts just fine and can select PHP versions from 5.3 to 7. However I never install Etano or any other scripts via Softaculous as they're notorious for installation issues, especially when it comes to auto setting up the cron jobs.

We don't recommend installing Etano via Scriptalicious, Softaculous or Fantastico. Etano/Datemill has no affiliation or partnership with these script installers and will limit the support we can provide when used.

If you're having installation or cron job issues it's more likely because of the PHP version your running than the MySQL version.

Quote
You don't have to use MySQL version 5.1, you can use a higher version of MySQL.
Quote
I dont feel this is correct

I've been using higher versions of MySQL than 5.1 for quite some time.

Fusion Responsive Template & Free Mods
http://www.maverickwebworks.com
DO NOT PM me asking for personal help. Post your problem or request in the forums so the entire community can contribute and benefit.

onlineservices

  • Veteran Member
  • *****
  • Posts: 254
  • Karma: +0/-0
Re: Will MariaDB 10.3.10 help etano
« Reply #4 on: October 15, 2018, 03:28:35 AM »
247 host has the following:

Server: Localhost via UNIX socket
Server type: MariaDB
Server version: 10.2.18-MariaDB - MariaDB
Server charset: UTF-8 Unicode (utf8)

My Present host is Bluehost but i am using OSCLASS in 247 already for years

They upgraded to 7.1 Mysql (not mariadb) So i got errors like failure of getting notification from etano (example - if a new user register i wont get notification though i enabled in admin) Cron does not work - Bluehost doest not support Cron Supports for 5 minutes ( So running the cron outside the host in cron-job.org

So i planned to switch Etano to 247
When i jump to 247 the database is Mariadb (not mysql) . In Bluehost i was hosting in Mysql  --- here it is Mariadb
So unable to import to Database. it says several error

I have to study and practice this page  i think https://oitibs.com/mysql-to-mariadb-migration-script/ to export from mysql to mariadb (though mariadb is the latest version of mysql)

Php version switiching is stopped during fresh Softaculous Apps installation through softoculos app and in PHP CONFIGURATION  i have  option to switch to lower PHP version, But if i switch to lower version my other scripts like OSCLASS wont work well.. But earlier Softaculous Apps installer has the option to install every script in different php versions. Here i am unable to use PHP Handlers in HTACCESS like bluehost. - it totally stops etano and automatically starts to download something when we enable php handlers.

But in Bluehost i was able to use PHP Handlers to lower the version. it was manageable. But Mysql kicked me again. I am not sure whether i should learn about php handlers specially for mariamdb

So finally i came to a conclusion,  if we use ETANO in a host, we should not use other scripts.  So building the new server in Google Cloud with Centos.   Especially in my experience i also tried Amazon Webservice for this issue. But it is no comfortable for etano.

Google Cloud server building is in process now. Hope i may complete it in 8 hours.

Once i succeed i will update here.

Thank U

maverick

  • Administrator
  • Veteran Member
  • *****
  • Posts: 3120
  • Karma: +210/-7
    • Maverick Webworks
Re: Will MariaDB 10.3.10 help etano
« Reply #5 on: October 15, 2018, 04:13:49 AM »
Quote
So finally i came to a conclusion,  if we use ETANO in a host, we should not use other scripts.   

If you're running multiple sites and different scripts you should consider using a reseller hosting plan. This will allow you to create a different account for each site/domain you're hosting which will allow you to select the desired or required PHP version for each site as well as using either MySQL or MariaDB for each.

https://www.247-host.com/resellerplans.html

Trying to install and run different scripts that require different server configurations on a single shared hosting plan isn't usually going to work very well.

Fusion Responsive Template & Free Mods
http://www.maverickwebworks.com
DO NOT PM me asking for personal help. Post your problem or request in the forums so the entire community can contribute and benefit.

onlineservices

  • Veteran Member
  • *****
  • Posts: 254
  • Karma: +0/-0
Re: Will MariaDB 10.3.10 help etano
« Reply #6 on: October 23, 2018, 11:49:22 AM »
Even 247 Reseller plans are unable to use as optional MYSQL . You can use that account as MYSQL or u need to use it as MARIADB. You cannot use both.

So its very clear that in future, if someone wants to use ETANO, then they have to find a host which uses only PHP 5.3 or 5.4 and MySQL 5.1x.

Days are changing - Even Mysql is not prepared to support the versions 5.6 in future.  The PHP versions will also go higher even for minmum versions - means like 5.6 and above.

ITS SURE THAT WE CANNOT USE ETANO IN MARIADB - unless otherwise new update is made with the vision of mariadb and recent php versions. its my 2 month research - even i converted the doc type . But in future there wont be MYSQL (Say after some 1 or 2 years)

In the mean time I found a better hosting which has PHP 5.4 and MySQL 5.6 - But that too lot of issues and errors raising.

Those who use only etano based websites can buy a special hosting for it. But if we use other scripts - then no way.

Thanks for your support.